# Let's put these exceptions in until upstream will fix the issue
##%define _requires_exceptions pear(tests/Image/gd.php)\\|pear(tests/Image/svg.php)\\|pear(tests/Image/swf.php)\\|pear(tests/lib/Application.php)
%define upstream_name Horde_Image
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.9
Release:     	%mkrel 2
Summary:    	Horde Image API
License:    	LGPL
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Exception <= 2.0.0
Requires:  	php-pear-Horde_Support <= 2.0.0
Requires:  	php-pear-Horde_Translation <= 2.0.0
Requires:  	php-pear-Horde_Util <= 2.0.0 
Conflicts: 	php-pear-Horde_Exception = 2.0.0
Conflicts:  	php-pear-Horde_Support = 2.0.0
Conflicts:  	php-pear-Horde_Translation = 2.0.0
Conflicts: 	php-pear-Horde_Util = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Image = %{version}
Obsoletes:	horde-image



%description
This package provides an Image utility API, with backends for:
* GD
* GIF
* PNG
* SVG
* SWF
* ImageMagick convert command line tool
* Imagick Extension

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Image.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Image.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Image
fi

%files
%defattr(-,root,root)
%doc   docs/Horde_Image/COPYING
%doc   docs/Horde_Image/COPYING-EXIF

%{peardir}/*
%{xmldir}/Horde_Image.xml


%changelog

* Sat Dec 17 2011 spuhler <spuhler> 1.0.9-2.mga2
+ Revision: 183354
- upgrade to 1.0.9

* Sat Dec 03 2011 spuhler <spuhler> 1.0.8-2.mga2
+ Revision: 175679
- added # Let's put these exceptions in until upstream will fix the issue
  +%%define _
  added requires_exceptions pear(tests/Image/gd.php)\\|pear(tests/Image/svg.php)\\|pear(tests/Image/swf.php)\\|pear(tests/lib/Application.php)

* Fri Dec 02 2011 spuhler <spuhler> 1.0.8-1.mga2
+ Revision: 175047
- upgrade to 1.0.8

* Sun Nov 06 2011 spuhler <spuhler> 1.0.7-1.mga2
+ Revision: 164473
- upgrade to 1.0.7
- added %%define _requires_exceptions  pear(\\(tests/Image/gd.ph\\|tests/Image/svg.php\\|tests/Image/swf.php\\|tests/lib/Application.php))
- changed Provides: php-pear-Horde_Image to php-pear-Horde_Image = %%{version}
- imported package php-pear-Horde_Image

